#!/usr/bin/env python
#-*-coding:utf-8-*-

# "THE WISKEY-WARE LICENSE":
# <jbc.develop@gmail.com> wrote this file. As long as you retain this notice you
# can do whatever you want with this stuff. If we meet some day, and you think
# this stuff is worth it, you can buy me a WISKEY in return Juan BC

#===============================================================================
# DOCS
#===============================================================================

"""Setup for doc_utils_ext"""


#===============================================================================
# IMPORTS
#===============================================================================

import os

from ez_setup import use_setuptools
use_setuptools()

from setuptools import setup

#===============================================================================
# CONSTANTS
#===============================================================================

PY_MODULES = ["svgt", "ez_setup"]

PATH = os.path.abspath(os.path.dirname(__file__))

LICENSE = "GPL3"
AUTHOR = "JBC"
EMAIL = "jbc dot develop at gmail dot com"
NAME = "docutils_ext"
URL = "https://bitbucket.org/leliel12/docutils_ext"
VERSION = "0.2d"
DOCS = open(os.path.join(PATH, "README")).read()

DOWNLOAD_URL = "{url}/downloads/{name}-{version}.tar.gz".format(url=URL, 
                                                                version=VERSION, 
                                                                name=NAME)

INSTALL_REQUIRES = [
    'rst2pdf',
    'docutils',
]

#===============================================================================
# SETUP
#===============================================================================

setup(
    name=NAME,
    version=VERSION,
    description=DOCS.splitlines()[0],
    long_description=DOCS,
    author=AUTHOR,
    author_email=EMAIL,
    url=URL,
    download_url=DOWNLOAD_URL,
    license="WISKEY-WARE License",
    keywords="rst docutils extension rst2pdf sphinx",
    classifiers=[
               "Development Status :: 4 - Beta",
               "Topic :: Utilities",
               "Operating System :: OS Independent",
               "Programming Language :: Python :: 2",
               ],
    install_requires=INSTALL_REQUIRES,
    py_modules=PY_MODULES,
    #test_suite = "test",
)


#===============================================================================
# MAIN
#===============================================================================

if __name__ == '__main__':
    print(__doc__)
